'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

const getStyle = (styleEntry, styles) => {
  const styleKey = styleEntry[0],
        styleValue = styleEntry[1];
  return styleValue === true ? styles[styleKey] : { [styleKey]: styleValue };
};
const isTruthyStyle = v => typeof v !== 'undefined' && v !== false && v !== null;

const computeStyle = exports.computeStyle = function () {
  for (var _len = arguments.length, styles = Array(_len), _key = 0; _key < _len; _key++) {
    styles[_key] = arguments[_key];
  }

  return styles.reduce((styleObj, style) => {
    const computedStyle = Object.entries(style || {}).filter((_ref) => {
      var _ref2 = _slicedToArray(_ref, 2);

      let key = _ref2[0],
          value = _ref2[1];
      return isTruthyStyle(value);
    }).reduce((acc, truthyStyleEntry) => {
      const attributeObject = getStyle(truthyStyleEntry, undefined.styles);
      return Object.assign({}, acc, attributeObject);
    }, {});

    return Object.assign({}, styleObj, computedStyle);
  }, {});
};