'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stylerContextInjector = undefined;

var _castToFunction = require('./utils/castToFunction');

var _castToFunction2 = _interopRequireDefault(_castToFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultHelpers = isRTL => {
  const onRTL = (rtlStyle, lrtStyle) => isRTL ? rtlStyle : lrtStyle;
  return {
    onlyRTL: rtl => onRTL(rtl, null),
    onlyLTR: lrt => onRTL(null, ltr),
    onRTL
  };
};

const stylerContextInjector = exports.stylerContextInjector = function (isRTL) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  let theme = _ref.theme,
      helpers = _ref.helpers;

  const castedHelpers = (0, _castToFunction2.default)(helpers);
  const castedTheme = (0, _castToFunction2.default)(theme);

  const stylerHelpers = Object.assign({}, defaultHelpers(isRTL), castedHelpers(isRTL));

  return {
    stylerHelpers,
    isRTL,
    theme: castedTheme(isRTL, helpers)
  };
};